gnutls_transport_set_ptr2(3)

NAME
gnutls_transport_set_ptr2 - Used to set first argument of the transport functions

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_ptr2(gnutls_session_t session, gnutls_transport_ptr_t recv_ptr, gnutls_transport_ptr_t send_ptr);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_transport_ptr_t recv_ptr
    is the value for the pull function

gnutls_transport_ptr_t send_ptr
    is the value for the push function

DESCRIPTION
Used to set the first argument of the transport function (like PUSH and PULL). In berkeley style sockets this function will set the connection handle. With this function you can use two different pointers for receiving and sending.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.